//-----------------------------------------------------------------------------
//----- CbyCommandReactor.cpp : Implementation of CbyCommandReactor
//-----------------------------------------------------------------------------
#include "StdAfx.h"
#include "CbyCommandReactor.h"

//-----------------------------------------------------------------------------
ACRX_CONS_DEFINE_MEMBERS(CbyCommandReactor, AcEditorReactor, 1)

//-----------------------------------------------------------------------------
CbyCommandReactor::CbyCommandReactor (const bool autoInitAndRelease) : AcEditorReactor(), mbAutoInitAndRelease(autoInitAndRelease) {
	if ( autoInitAndRelease ) {
		if ( acedEditor )
			acedEditor->addReactor (this) ;
		else
			mbAutoInitAndRelease =false ;
	}
}

//-----------------------------------------------------------------------------
CbyCommandReactor::~CbyCommandReactor () {
	Detach () ;
}

//-----------------------------------------------------------------------------
void CbyCommandReactor::Attach () {
	Detach () ;
	if ( !mbAutoInitAndRelease ) {
		if ( acedEditor ) {
			acedEditor->addReactor (this) ;
			mbAutoInitAndRelease =true ;
		}
	}
}
void CbyCommandReactor::Detach () {
	if ( mbAutoInitAndRelease ) {
		if ( acedEditor ) {
			acedEditor->removeReactor (this) ;
			mbAutoInitAndRelease =false ;
		}
	}
}
// -----------------------------------------------------------------------------
void CbyCommandReactor::commandWillStart(const char * cmdStr)
{
	AcEditorReactor::commandWillStart (cmdStr) ;
	if (  strcmp (cmdStr, "BHATCH")
		&& strcmp(cmdStr, "HATCH")
		) 
		acutPrintf("");
	else 
	{
		CString layername ="Schraffur";
		CString layerfarbe ="1"; 
		layername= getLayerINI("SchraffurLayer");
		layerfarbe= getFarbeINI("SchraffurLayer");
		AcCmColor farbe;
		
		if (!layername.IsEmpty())		//test ob string leer ist
		{
			m_altlayer=getaltLayer();
			addLayer(layername,atoi(layerfarbe));
			SetCurrentLayer(layername);
		}
		
	}
	if (strcmp (cmdStr, "DIMLINEAR") && strcmp(cmdStr, "DIMALIGNED")
		&& strcmp(cmdStr, "DIMORDINATE")
		&& strcmp (cmdStr, "DIMRADIUS")
		&& strcmp (cmdStr, "DIMDIAMETER")
		&& strcmp (cmdStr, "DIMANGULAR")
		&& strcmp (cmdStr, "QDIM")
		&& strcmp (cmdStr, "DIMBASLINE")
		&& strcmp (cmdStr, "DIMCONTINUE")
		&& strcmp (cmdStr, "QLEADER")
		&& strcmp (cmdStr, "DIMCENTER")

		)
		acutPrintf("");
	else 
	{
		CString layername ="Bem";
		CString layerfarbe="3";
		layername= getLayerINI("BemassungsLayer");
		layerfarbe=getFarbeINI("BemassungsLayer");
		if (!layername.IsEmpty())		//test ob string leer ist
		{
			m_altlayer=getaltLayer();
			int colorint;
			AcCmColor clr2;
			addLayer(layername,atoi(layerfarbe));
		SetCurrentLayer(layername);
		}
	}
// text Reactor
	if (  strcmp (cmdStr, "MTEXT")
		&& strcmp(cmdStr, "TEXT")
		) 
		acutPrintf("");
	else 
	{
		CString layername ="Text";
		CString layerfarbe="2";
		layername= getLayerINI("TextLayer");
		layerfarbe=getFarbeINI("TextLayer");
		if (!layername.IsEmpty())		//test ob string leer ist
		{
			m_altlayer=getaltLayer();
		addLayer(layername,atoi(layerfarbe));
		SetCurrentLayer(layername);}
	}
}

// -----------------------------------------------------------------------------
void CbyCommandReactor::commandEnded(const char * cmdStr)
{
	AcEditorReactor::commandEnded (cmdStr) ;
	SetCurrentLayer(m_altlayer);
}
