

//-----------------------------------------------------------------------------
//----- CbyCommandReactor.h : Declaration of the CbyCommandReactor
//-----------------------------------------------------------------------------
#pragma once

//-----------------------------------------------------------------------------
#include "aced.h"

//-----------------------------------------------------------------------------
class CbyCommandReactor : public AcEditorReactor {

public:
	ACRX_DECLARE_MEMBERS(CbyCommandReactor) ;

protected:
	//----- Auto initialization and release flag.
	bool mbAutoInitAndRelease ;
	CString m_altlayer;
public:
	CbyCommandReactor (const bool autoInitAndRelease =true) ;
	virtual ~CbyCommandReactor () ;

	virtual void Attach () ;
	virtual void Detach () ;
	virtual AcEditor *Subject () const { return (acedEditor) ; }
	virtual bool IsAttached () const { return (mbAutoInitAndRelease) ; }

	// -----------------------------------------------------------------------------
	virtual void commandWillStart(const char * cmdStr);
	// -----------------------------------------------------------------------------
	virtual void commandEnded(const char * cmdStr);
} ;

ACDB_REGISTER_OBJECT_ENTRY_AUTO(CbyCommandReactor)
